Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 64 lines (58 sloc) 1.917 kb
4ac2bfd @michaeldv Initial public commit
michaeldv authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{awesome_print}
eb1cf1d @michaeldv Release 0.1.1
michaeldv authored
8 s.version = "0.1.1"
4ac2bfd @michaeldv Initial public commit
michaeldv authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Michael Dvorkin"]
eb1cf1d @michaeldv Release 0.1.1
michaeldv authored
12 s.date = %q{2010-04-04}
4ac2bfd @michaeldv Initial public commit
michaeldv authored
13 s.description = %q{Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports Rails ActiveRecord objects via included mixin.}
14 s.email = %q{mike@dvorkin.net}
15 s.extra_rdoc_files = [
16 "LICENSE",
17 "README.md"
18 ]
19 s.files = [
20 "LICENSE",
21 "README.md",
22 "Rakefile",
23 "VERSION",
24 "init.rb",
25 "lib/ap.rb",
26 "lib/ap/awesome_print.rb",
27 "lib/ap/core_ext/kernel.rb",
28 "lib/ap/core_ext/string.rb",
29 "lib/ap/mixin/rails.rb",
30 "rails/init.rb",
31 "spec/awesome_print_spec.rb",
32 "spec/rails_spec.rb",
33 "spec/spec.opts",
34 "spec/spec_helper.rb",
35 "spec/string_spec.rb"
36 ]
37 s.homepage = %q{http://github.com/michaeldv/awesome_print}
38 s.rdoc_options = ["--charset=UTF-8"]
39 s.require_paths = ["lib"]
40 s.rubyforge_project = %q{awesome_print}
41 s.rubygems_version = %q{1.3.6}
42 s.summary = %q{Pretty print Ruby objects with proper indentation and colors.}
43 s.test_files = [
44 "spec/awesome_print_spec.rb",
45 "spec/rails_spec.rb",
46 "spec/spec_helper.rb",
47 "spec/string_spec.rb"
48 ]
49
50 if s.respond_to? :specification_version then
51 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
52 s.specification_version = 3
53
54 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
55 s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
56 else
57 s.add_dependency(%q<rspec>, [">= 1.2.9"])
58 end
59 else
60 s.add_dependency(%q<rspec>, [">= 1.2.9"])
61 end
62 end
63
Something went wrong with that request. Please try again.